INSPECT(1)

NAME
inspect - Boost code inspection tool

SYNOPSIS
inspect [-cvs] [-text] [-brief] [options...]

DESCRIPTION
It is not uncommon for various common errors or guideline violations to creep into the Boost libraries. The inspect program detects and reports several common problems. It can be used to scan a proposed Boost submission to identify various failures.

The program is run in the directory to be scanned for errors. Sub-directories are also included in the scan.

If the first program argument is -cvs, only files and directories in the CVS tree of the current directory are scanned. Otherwise all files and sub-directories are included in the scan.

    Options:

-license

-copyright

-crlf

-link

-path_name

-tab

-ascii

-minmax

-unnamed

    The default is to have all checks on; otherwise options specify desired checks.

SEE ALSO
The full documentation for inspect is maintained in HTML; see /usr/share/doc/libboostX.Y-doc/HTML/tools/inspect/index.html